summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKeri Harris <keri@gentoo.org>2022-05-14 17:17:53 +0200
committerKeri Harris <keri@gentoo.org>2022-05-14 17:18:17 +0200
commit76bc543cba31b4ccb5783319869d5d399a139662 (patch)
tree846866b5d3f13f5064c16a2055474cfb871d9dc2
parentapp-emulation/wine-staging: Sync with ::wine (diff)
downloadgentoo-76bc543cba31b4ccb5783319869d5d399a139662.tar.gz
gentoo-76bc543cba31b4ccb5783319869d5d399a139662.tar.bz2
gentoo-76bc543cba31b4ccb5783319869d5d399a139662.zip
dev-lang/swi-prolog: add new development version
Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Keri Harris <keri@gentoo.org>
-rw-r--r--dev-lang/swi-prolog/Manifest1
-rw-r--r--dev-lang/swi-prolog/swi-prolog-8.5.11.ebuild129
2 files changed, 130 insertions, 0 deletions
diff --git a/dev-lang/swi-prolog/Manifest b/dev-lang/swi-prolog/Manifest
index b594125a657..913ae58aa9c 100644
--- a/dev-lang/swi-prolog/Manifest
+++ b/dev-lang/swi-prolog/Manifest
@@ -1,4 +1,5 @@
DIST swipl-8.4.1.tar.gz 11386908 BLAKE2B bd53355abe63ffde348ed38b0e7fee4bcba4e74128c73904a72ca3ba2021a8b650d08480a643ea3336f3fc6d1d7bcf7651deb1d32608581ce43bc118288df6da SHA512 22806d8abd0b729e27a6d7bbbd0df37af8af21bb186a8de58ec5f9a1d32c9a477838fd10155ff21998737fcc2aaf4711d1d4d5457ce5d62e328d5da032474ee5
DIST swipl-8.4.2.tar.gz 11396705 BLAKE2B c0835bdbc09171ef00ccc52df14d07651ac42e36ab7bd6e6a72348050d3547a817bec13f2facd8fe051291dc3f0f80f64ed5c8a55e22dba314ccf896434013cf SHA512 1578d01c09ab7ee97c92703f58bab4d0fa5b94dc09092f87059e5002f3e4efbe0b9e85483e8b0a350837825c8b16d3b15c2e75df020571740fab6f1978d69669
DIST swipl-8.5.10.tar.gz 11467250 BLAKE2B ae5667307365dade0e6b02b4253e353ca2211b2f8765a898315c6766849c98c40c471a8310a2c4d71ff254532c9b86bf39b6dacd44b60ecd76a9733e5f50c843 SHA512 e3a0513c4e5d5e290050a7579a33e3e95c1363e74167fd859a00a0f79a8c035eb63fa994547d154f42eb2e6878a122f35efba39672ecb413203ae6561e3f3de7
+DIST swipl-8.5.11.tar.gz 11480652 BLAKE2B eb812a272d3fbcb181c5cee0dd033f6b7ffdee467bf37c645a98a34ce455189ded7b7c678482e992918477160a6a585ea07dcc38a4aa123eb5f4e04a35dc20d0 SHA512 00387d25548198e0d738cc210a0769130a6ad6fb0596dec04539b1fb85ab8d660a73fec1fe5f5d01878b90e8736018dbb0c8cfd240e1d6b2b62c0bb892f0826c
DIST swipl-8.5.9.tar.gz 11462380 BLAKE2B 1bf9e05d03f58754434a96c7bddd6db89463d3e461e1b7fe5db59cb15b7c902bff87e66a31c487d547d7b3178e347563376d2b09c95d8a093ee546d08a935df5 SHA512 c75dc58e9451205fd751ec8629f3865bf7d60e9bc3ef885ba3c328b36d807a459a8df1e8c61dbd6502335f6177b75a5f7c1a5c8acc77b8eed9fd5277a712d289
diff --git a/dev-lang/swi-prolog/swi-prolog-8.5.11.ebuild b/dev-lang/swi-prolog/swi-prolog-8.5.11.ebuild
new file mode 100644
index 00000000000..e85926dc78a
--- /dev/null
+++ b/dev-lang/swi-prolog/swi-prolog-8.5.11.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake desktop xdg-utils flag-o-matic toolchain-funcs
+
+PATCHSET_VER="0"
+
+DESCRIPTION="Versatile implementation of the Prolog programming language"
+HOMEPAGE="https://www.swi-prolog.org/"
+SRC_URI="https://www.swi-prolog.org/download/devel/src/swipl-${PV}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="archive berkdb debug doc +gmp java +libedit minimal odbc pcre qt5 readline ssl test +uuid X yaml"
+RESTRICT="!test? ( test )"
+
+RDEPEND="sys-libs/ncurses:=
+ sys-libs/zlib
+ virtual/libcrypt:=
+ archive? ( app-arch/libarchive:= )
+ berkdb? ( >=sys-libs/db-4:= )
+ odbc? ( dev-db/unixODBC )
+ pcre? ( dev-libs/libpcre )
+ readline? ( sys-libs/readline:= )
+ libedit? ( dev-libs/libedit )
+ gmp? ( dev-libs/gmp:0= )
+ ssl? ( dev-libs/openssl:0= )
+ java? ( >=virtual/jdk-1.8:* )
+ uuid? ( dev-libs/ossp-uuid )
+ qt5? (
+ dev-qt/qtwidgets:5
+ dev-qt/qtgui:5
+ )
+ X? (
+ media-libs/libjpeg-turbo:=
+ x11-libs/libX11
+ x11-libs/libXft
+ x11-libs/libXinerama
+ x11-libs/libXpm
+ x11-libs/libXt
+ x11-libs/libICE
+ x11-libs/libSM )
+ yaml? ( dev-libs/libyaml )"
+
+DEPEND="${RDEPEND}
+ X? ( x11-base/xorg-proto )
+ java? ( test? ( =dev-java/junit-3.8* ) )"
+
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}/swipl-${PV}"
+
+src_prepare() {
+ if [[ -d "${WORKDIR}"/${PV} ]] ; then
+ eapply "${WORKDIR}"/${PV}
+ fi
+
+ sed -e "s|\(SWIPL_INSTALL_PREFIX\) lib/.*)|\1 $(get_libdir)/swipl)|" \
+ -e "s|\(SWIPL_INSTALL_CMAKE_CONFIG_DIR\) lib/|\1 $(get_libdir)/|" \
+ -i CMakeLists.txt || die
+
+ local ncurses_lib_flags=$($(tc-getPKG_CONFIG) --libs ncurses)
+ sed -i "/project(SWI-Prolog)/a set(CMAKE_REQUIRED_LIBRARIES \${CMAKE_REQUIRED_LIBRARIES} ${ncurses_lib_flags})" CMakeLists.txt || die
+ sed -i "s:\${CURSES_LIBRARIES}:${ncurses_lib_flags}:" src/CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ append-flags -fno-strict-aliasing
+ use debug && append-flags -DO_DEBUG
+
+ local mycmakeargs=(
+ -DSWIPL_INSTALL_PREFIX=$(get_libdir)/swipl
+ -DUSE_GMP=$(usex gmp)
+ -DINSTALL_DOCUMENTATION=$(use doc && usex archive)
+ -DSWIPL_PACKAGES_BASIC=$(usex !minimal)
+ -DSWIPL_PACKAGES_ARCHIVE=$(usex archive)
+ -DSWIPL_PACKAGES_ODBC=$(usex odbc)
+ -DSWIPL_PACKAGES_BDB=$(usex berkdb)
+ -DSWIPL_PACKAGES_PCRE=$(usex pcre)
+ -DSWIPL_PACKAGES_YAML=$(usex yaml)
+ -DSWIPL_PACKAGES_SSL=$(usex ssl)
+ -DSWIPL_PACKAGES_JAVA=$(usex java)
+ -DSWIPL_PACKAGES_QT=$(usex qt5)
+ -DSWIPL_PACKAGES_X=$(usex X)
+ -DSWIPL_PACKAGES_TERM=$(if use libedit || use readline; then echo yes; else echo no; fi)
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ XDG_CONFIG_DIRS="${HOME}" \
+ XDG_DATA_DIRS="${HOME}" \
+ cmake_src_compile
+}
+
+src_test() {
+ USE_PUBLIC_NETWORK_TESTS=false \
+ USE_ODBC_TESTS=false \
+ cmake_src_test -V
+}
+
+src_install() {
+ cmake_src_install
+
+ if use qt5; then
+ doicon "${S}"/snap/gui/swipl.png
+ make_desktop_entry swipl-win "SWI-Prolog" swipl "Development"
+ fi
+}
+
+pkg_postinst() {
+ if use qt5; then
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+ fi
+}
+
+pkg_postrm() {
+ if use qt5; then
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+ fi
+}